<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vue Basics</title>
    <link
      href="https://fonts.googleapis.com/css2?family=Jost:wght@400;700&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="styles.css" />
    <script src="https://unpkg.com/vue@3/dist/vue.global.js" defer></script>
    <script src="app.js" defer></script>
  </head>
  <body>
    <header>
      <h1>ToDos</h1>
    </header>
    <section id="user-todos">
      <h2>My todos</h2>
      <input type="text" v-model="inputValue"/>
      <button @click="addTodo">Add Todo</button>

      <p v-if="todos.length === 0">You have nothing to do</p>
      <ul v-else>
        <li v-for="(todo, index) in todos" :key="todo.todo">
          {{ todo.todo }}
          <input type="text" v-model="commentValue">
          <button @click="addComment(commentValue, index)">add comment</button>
          <button @click="removeTodo(index)">x</button>
          <p v-if="todo.comment && todo.comment.length > 0">{{ todo.comment }}</p>
        </li>
      </ul>

    </section>
  </body>
</html>
